#include<bits/stdc++.h>
using namespace std;
int main()
{
    ifstream fi("demfb.inp");
    ofstream fo("demfb.out");
    int n;
    fi>>n;
    int a[n];
    int max=0;
    for(int i=0;i<n;i++)
    {
        fi>>a[i];
        if(a[i]>max)
        {
            max=a[i];
        }
    }
    int b[10000];
    int dem=0;
    b[1]=1;
    b[2]=1;
    int i=3;
    do
    {
        i++;
        b[i]=b[i-1]+b[i-2];
    }
    while(b[i]<=max);
    for(int j=0;j<n;j++)
    {
        for(int k=0;k<i;k++)
        {
            if(a[j] == b[k] && a[j]!=0)
            {
                dem++;
                break;
            }
        }
    }
    fo<<dem;
}

